// flow-typed signature: 84df5671d2f3d64f2847c4b2266474bc
// flow-typed version: <<STUB>>/nuka-carousel_v4.4.1/flow_v0.82.0

/**
 * This is an autogenerated libdef stub for:
 *
 *   'nuka-carousel'
 *
 * Fill this stub out by replacing all the `any` types.
 *
 * Once filled out, we encourage you to share your work with the
 * community by sending a pull request to:
 * https://github.com/flowtype/flow-typed
 */

declare module 'nuka-carousel' {
  declare module.exports: any;
}

/**
 * We include stubs for each file inside this npm package in case you need to
 * require those files directly. Feel free to delete any files that aren't
 * needed.
 */
declare module 'nuka-carousel/es/all-transitions' {
  declare module.exports: any;
}

declare module 'nuka-carousel/es/default-controls' {
  declare module.exports: any;
}

declare module 'nuka-carousel/es/index' {
  declare module.exports: any;
}

declare module 'nuka-carousel/es/transitions/fade-transition' {
  declare module.exports: any;
}

declare module 'nuka-carousel/es/transitions/scroll-transition' {
  declare module.exports: any;
}

declare module 'nuka-carousel/lib/all-transitions' {
  declare module.exports: any;
}

declare module 'nuka-carousel/lib/default-controls' {
  declare module.exports: any;
}

declare module 'nuka-carousel/lib/index' {
  declare module.exports: any;
}

declare module 'nuka-carousel/lib/transitions/fade-transition' {
  declare module.exports: any;
}

declare module 'nuka-carousel/lib/transitions/scroll-transition' {
  declare module.exports: any;
}

// Filename aliases
declare module 'nuka-carousel/es/all-transitions.js' {
  declare module.exports: $Exports<'nuka-carousel/es/all-transitions'>;
}
declare module 'nuka-carousel/es/default-controls.js' {
  declare module.exports: $Exports<'nuka-carousel/es/default-controls'>;
}
declare module 'nuka-carousel/es/index.js' {
  declare module.exports: $Exports<'nuka-carousel/es/index'>;
}
declare module 'nuka-carousel/es/transitions/fade-transition.js' {
  declare module.exports: $Exports<'nuka-carousel/es/transitions/fade-transition'>;
}
declare module 'nuka-carousel/es/transitions/scroll-transition.js' {
  declare module.exports: $Exports<'nuka-carousel/es/transitions/scroll-transition'>;
}
declare module 'nuka-carousel/index' {
  declare module.exports: $Exports<'nuka-carousel'>;
}
declare module 'nuka-carousel/index.js' {
  declare module.exports: $Exports<'nuka-carousel'>;
}
declare module 'nuka-carousel/lib/all-transitions.js' {
  declare module.exports: $Exports<'nuka-carousel/lib/all-transitions'>;
}
declare module 'nuka-carousel/lib/default-controls.js' {
  declare module.exports: $Exports<'nuka-carousel/lib/default-controls'>;
}
declare module 'nuka-carousel/lib/index.js' {
  declare module.exports: $Exports<'nuka-carousel/lib/index'>;
}
declare module 'nuka-carousel/lib/transitions/fade-transition.js' {
  declare module.exports: $Exports<'nuka-carousel/lib/transitions/fade-transition'>;
}
declare module 'nuka-carousel/lib/transitions/scroll-transition.js' {
  declare module.exports: $Exports<'nuka-carousel/lib/transitions/scroll-transition'>;
}
